%define api 2.0
%define major 1
%define libname %mklibname %{name} %{api} %{major}

%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		rygel
Version:	0.18.1
Release:	%mkrel 2
Summary:	A UPnP v2 Media Server
Group:		Sound/Utilities
License:	LGPLv2+
URL:		http://live.gnome.org/Rygel
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	pkgconfig(gee-0.8) >= 0.8.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.26
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gssdp-1.0) >= 0.13.0
BuildRequires:	pkgconfig(gstreamer-1.0) >= 1.0
BuildRequires:	pkgconfig(gstreamer-app-1.0) >= 1.0
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0) >= 1.0
BuildRequires:	pkgconfig(gstreamer-tag-1.0) >= 1.0
BuildRequires:	pkgconfig(gstreamer-video-1.0) >= 1.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.90.3
BuildRequires:	pkgconfig(gupnp-1.0) >= 0.19.0
BuildRequires:	pkgconfig(gupnp-av-1.0) >= 0.11.4
BuildRequires:	pkgconfig(gupnp-dlna-2.0) >= 0.9.4
BuildRequires:	pkgconfig(gupnp-dlna-gst-2.0) >= 0.9.4
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.34.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.7
BuildRequires:	pkgconfig(sqlite3) >= 3.5
BuildRequires:	pkgconfig(tracker-sparql-0.14) >= 0.14.0
BuildRequires:	pkgconfig(uuid) >= 1.41.3
BuildRequires:	vala >= 0.14.1
BuildRequires:	tracker-vala
Requires:	shared-mime-info
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-libav
Requires:	gstreamer1.0-plugins-bad
Requires:	gstreamer1.0-plugins-ugly

%description
Rygel is an implementation of the UPnP MediaServer V 2.0 specification that is 
specifically designed for GNOME. It is based on GUPnP and is written (mostly) 
in Vala language. The project was previously known as gupnp-media-server. 

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
Shared libraries for %{name}.

%package devel
Summary:	Development package for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description devel
Files for development with %{name}.

%package tracker
Summary:	Tracker plugin for %{name}
Group:		Sound/Utilities
Requires:	%{name} = %{version}-%{release}
Requires:	tracker

%description tracker
A plugin for rygel to use tracker to locate media on the local machine.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

%find_lang %{name}

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files -f %name.lang
%doc AUTHORS COPYING README TODO NEWS
%config(noreplace) %{_sysconfdir}/rygel.conf
%{_bindir}/rygel
%{_bindir}/rygel-preferences
%dir %{_libdir}/rygel-%{api}
%dir %{_libdir}/rygel-%{api}/plugins
%{_libdir}/rygel-%{api}/plugins/librygel-media-export.so
%{_libdir}/rygel-%{api}/plugins/librygel-external.so
%{_libdir}/rygel-%{api}/plugins/librygel-playbin.so
%{_libdir}/rygel-%{api}/plugins/librygel-mpris.so
%{_libdir}/rygel-%{api}/engines/librygel-media-engine-simple.so
%{_libdir}/rygel-%{api}/engines/librygel-media-engine-gst.so
%{_datadir}/rygel/
%{_datadir}/applications/rygel*
%{_iconsdir}/*/*/*/*
%{_mandir}/man?/*
%{_datadir}/dbus-1/services/org.gnome.Rygel1.service

%files tracker
%{_libdir}/rygel-%{api}/plugins/librygel-tracker.so

%files -n %{libname}
%{_libdir}/lib*-%{api}.so.%{major}
%{_libdir}/lib*-%{api}.so.%{major}.*

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/rygel-*-%{api}.pc
%{_datadir}/gtk-doc/html/*
%{_includedir}/rygel-%{api}
%{_datadir}/vala/vapi/*


%changelog

* Fri Apr 19 2013 fwang <fwang> 0.18.1-2.mga3
+ Revision: 410519
- update requires to gst 1.0

* Fri Apr 19 2013 fwang <fwang> 0.18.1-1.mga3
+ Revision: 410514
- update file list
- update file list
- update file list
- update libapi
- new version 0.18.1

* Mon Jan 14 2013 umeabot <umeabot> 0.16.4-2.mga3
+ Revision: 381639
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 ovitters <ovitters> 0.16.4-1.mga3
+ Revision: 333914
- new version 0.16.4

* Tue Nov 13 2012 fwang <fwang> 0.16.3-1.mga3
+ Revision: 317519
- new version 0.16.3

* Tue Nov 13 2012 fwang <fwang> 0.16.2-1.mga3
+ Revision: 317506
- update file list
- update rpm group
- new version 0.16.2

  + ovitters <ovitters>
    - new version 0.16.1

* Tue Sep 25 2012 ovitters <ovitters> 0.16.0-1.mga3
+ Revision: 297666
- new version 0.16.0

* Tue Sep 18 2012 ovitters <ovitters> 0.15.4-1.mga3
+ Revision: 295672
- new version 0.15.4

* Tue Sep 04 2012 ovitters <ovitters> 0.15.3-1.mga3
+ Revision: 287968
- new version 0.15.3

* Wed Aug 29 2012 fwang <fwang> 0.15.2-1.mga3
+ Revision: 285522
- update file list

  + ovitters <ovitters>
    - new version 0.15.2
    - update file list
    - br tracker-vala
    - br tracker-sparql-0.14
    - spec file: only tabs, not mix of spaces and tabs
    - new version 0.15.1

* Wed Jun 27 2012 ovitters <ovitters> 0.15.0.1-1.mga3
+ Revision: 264513
- new version 0.15.0.1

* Wed Jun 13 2012 ovitters <ovitters> 0.14.2-1.mga3
+ Revision: 260396
- new version 0.14.2

* Sat Apr 28 2012 ovitters <ovitters> 0.14.1-1.mga3
+ Revision: 234140
- new version 0.14.1

* Mon Apr 02 2012 fwang <fwang> 0.14.0-2.mga2
+ Revision: 227747
- drop max version requires
- drop unused br

* Mon Mar 26 2012 ovitters <ovitters> 0.14.0-1.mga2
+ Revision: 226745
- new version 0.14.0

* Mon Mar 19 2012 ovitters <ovitters> 0.13.4-1.mga2
+ Revision: 224497
- new version 0.13.4

* Fri Mar 09 2012 fwang <fwang> 0.13.3-1.mga2
+ Revision: 221988
- new version 0.13.3

* Thu Feb 23 2012 fwang <fwang> 0.13.2-1.mga2
+ Revision: 212467
- new version 0.13.2

* Sat Feb 11 2012 fwang <fwang> 0.13.1-2.mga2
+ Revision: 207130
- there is no dep on gconf now

* Sat Feb 11 2012 fwang <fwang> 0.13.1-1.mga2
+ Revision: 207125
- new version 0.13.1

* Thu Nov 24 2011 fwang <fwang> 0.13.0-1.mga2
+ Revision: 171532
- add br
- new version 0.13.0

* Sat Oct 22 2011 wally <wally> 0.12.5-1.mga2
+ Revision: 157334
- new version 0.12.5

* Sat Oct 08 2011 wally <wally> 0.12.4-1.mga2
+ Revision: 153371
- new version 0.12.4

* Tue Sep 27 2011 wally <wally> 0.12.3-2.mga2
+ Revision: 149580
- add requires

* Tue Sep 27 2011 wally <wally> 0.12.3-1.mga2
+ Revision: 149543
- new version 0.12.3
- enable more plugins
- clean .spec a bit
- imported package rygel


* Mon Apr 18 2011 Funda Wang <fwang@mandriva.org> 0.8.3-1mdv2011.0
+ Revision: 655774
- new version  0.8.3

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.12-2mdv2011.0
+ Revision: 614801
- the mass rebuild of 2010.1 packages

* Thu Apr 22 2010 Frederic Crozat <fcrozat@mandriva.com> 0.4.12-1mdv2010.1
+ Revision: 537959
- Release 0.4.12 (stable branch)
- Remove patch0 (merged upstream)

* Sat Dec 26 2009 Frederic Crozat <fcrozat@mandriva.com> 0.4.2-2mdv2010.1
+ Revision: 482405
- Patch0 (GIT): add support for libgee 0.5

* Sun Oct 04 2009 Colin Guthrie <cguthrie@mandriva.org> 0.4.2-1mdv2010.0
+ Revision: 453272
- Fix group. I've used Sound, but it's really more Multimedia but we don't have a category for that :s
- import rygel


* Fri Oct  2 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.2-1
- Update to 0.4.2

* Fri Sep 25 2009 Bastien Nocera <bnocera@redhat.com> 0.4.1-1
- Update to 0.4.1

* Thu Sep 24 2009 Bastien Nocera <bnocera@redhat.com> 0.4-5
- Make sure we rebuild the C source code from vala sources

* Thu Sep 24 2009 Bastien Nocera <bnocera@redhat.com> 0.4-4
- Make the prefs work

* Thu Sep 24 2009 Peter Robinson <pbrobinson@gmail.com> 0.4-3
- Enable new plugins, add desktop file verification, add more docs

* Thu Sep 24 2009 Peter Robinson <pbrobinson@gmail.com> 0.4-2
- Update deps for new release

* Wed Sep 23 2009 Peter Robinson <pbrobinson@gmail.com> 0.4-1
- New upstream 0.4 release

* Thu Aug 20 2009 Michel Salim <salimma@fedoraproject.org> - 0.3-6
- Rebuild against compat-libgee01

* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.3-5
- Own rygel include dir, some spec file cleanups

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul  1 2009 Peter Robinson <pbrobinson@gmail.com> 0.3-3
- Rebuild with new libuuid build req

* Wed Jun  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.3-2
- Split tracker plugin out to a sub package. Resolves RHBZ 507032

* Wed Jun  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.3-1
- New upstream release

* Mon Mar 13 2009 Peter Robinson <pbrobinson@gmail.com> 0.2.2-3
- Add a dep on tracker as that is currently the way it finds media

* Mon Mar 2  2009 Peter Robinson <pbrobinson@gmail.com> 0.2.2-2
- Added some missing BuildReqs

* Mon Mar 2  2009 Peter Robinson <pbrobinson@gmail.com> 0.2.2-1
- Initial release
